summaryrefslogtreecommitdiff
path: root/openembedded/packages/initscripts/initscripts-1.0/urandom
diff options
context:
space:
mode:
authorRichard Purdie <richard@openedhand.com>2006-07-21 10:10:31 +0000
committerRichard Purdie <richard@openedhand.com>2006-07-21 10:10:31 +0000
commitb2f192faabe412adce79534e22efe9fb69ee40e2 (patch)
tree7076c49d4286f8a1733650bd8fbc7161af200d57 /openembedded/packages/initscripts/initscripts-1.0/urandom
parent2cf0eadf9f730027833af802d7e6c90b44248f80 (diff)
downloadopenembedded-core-b2f192faabe412adce79534e22efe9fb69ee40e2.tar.gz
openembedded-core-b2f192faabe412adce79534e22efe9fb69ee40e2.tar.bz2
openembedded-core-b2f192faabe412adce79534e22efe9fb69ee40e2.tar.xz
openembedded-core-b2f192faabe412adce79534e22efe9fb69ee40e2.zip
Rename /openembedded/ -> /meta/
git-svn-id: https://svn.o-hand.com/repos/poky/trunk@530 311d38ba-8fff-0310-9ca6-ca027cbcb966
Diffstat (limited to 'openembedded/packages/initscripts/initscripts-1.0/urandom')
-rwxr-xr-xopenembedded/packages/initscripts/initscripts-1.0/urandom41
1 files changed, 0 insertions, 41 deletions
diff --git a/openembedded/packages/initscripts/initscripts-1.0/urandom b/openembedded/packages/initscripts/initscripts-1.0/urandom
deleted file mode 100755
index 45c41d758..000000000
--- a/openembedded/packages/initscripts/initscripts-1.0/urandom
+++ /dev/null
@@ -1,41 +0,0 @@
-#! /bin/sh
-#
-# urandom This script saves the random seed between reboots.
-# It is called from the boot, halt and reboot scripts.
-#
-# Version: @(#)urandom 1.33 22-Jun-1998 miquels@cistron.nl
-#
-
-test -c /dev/urandom || exit 0
-. /etc/default/rcS
-
-case "$1" in
- start|"")
- test "$VERBOSE" != no && echo "Initializing random number generator..."
- # Load and then save 512 bytes,
- # which is the size of the entropy pool
- if test -f /var/lib/urandom/random-seed
- then
- cat /var/lib/urandom/random-seed >/dev/urandom
- fi
- rm -f /var/lib/urandom/random-seed
- umask 077
- dd if=/dev/urandom of=/var/lib/urandom/random-seed count=1 \
- >/dev/null 2>&1 || echo "urandom start: failed."
- umask 022
- ;;
- stop)
- # Carry a random seed from shut-down to start-up;
- # see documentation in linux/drivers/char/random.c
- test "$VERBOSE" != no && echo "Saving random seed..."
- umask 077
- dd if=/dev/urandom of=/var/lib/urandom/random-seed count=1 \
- >/dev/null 2>&1 || echo "urandom stop: failed."
- ;;
- *)
- echo "Usage: urandom {start|stop}" >&2
- exit 1
- ;;
-esac
-
-exit 0